Subject: IBM 6611 and RFC 1434

From: "R. C. (Roy) Dixon" <[email-masked]>
Date: Mon, 1 Nov 93 14:22:07 EST

As you know, I have been asked to provide the DLSw SIG with a summary of
the known differences between the IBM 6611 implementation and RFC 1434.
Attached to this note is a list of the functional changes that need
to be added to RFC 1434 in order to achieve interoperability with the
IBM 6611 router.

I would also like to add to this list any comments that could provide
future developers with needed information to produce a compatible
implementation.  Since RFC 1434 was written after the development of the
IBM 6611, we have not attempted an implementation based solely on the
RFC.  As such, your experiences in implementing DLSw would be quite
valuable to me in completing this task.

Once I have a relatively complete list, I intend to provide additional
documentation that includes the appropriate updates to the state tables,
along with some clarification on the use of the fields within the SSP
message headers.

Regards, Roy

-------------------------------------------------------------------------

Revisions to RFC 1434 to support IBM 6611
-----------------------------------------

o Additional SSP Messages

     - (0x19) HALT_DL_NOACK

  Note: This message is sent in response to an ICANREACH message or a
        NETBIOS_NR message if a circuit already exists for a given Data
        Link ID.

  The following four SSP messages are used only by the APPN code within
  the IBM 6611 (this code is not yet supported):

     - (0x7A) TEST_CIRCUIT_REQ
     - (0x7B) TEST_CIRCUIT_RSP

  Note: The TEST_CIRCUIT_RSP is returned to the originator of the
        TEST_CIRCUIT_REQ if the circuit on the receiving DLSw is in the
        Connected state.

     - (0x0C) ENTER_BUSY
     - (0x0D) EXIT_BUSY

  Note: Upon receipt of the ENTER_BUSY message on a given circuit, the
        DLSw will not forward any additional INFOFRAME messages until an
        EXIT_BUSY message is received.

  The following SSP message may be sent by some releases of the IBM 6611,
  but it should be ignored (quietly discarded) by the receiver:

     - (0x1D) Undefined

o Message Format Changes- None

  Note: The addition of Ethernet support to the IBM 6611 has produced
        no changes to RFC 1434.  Specifically, the MAC addresses in the
        SSP messages are encoded in token-ring (non-canonical) format.

  Note: Some reserved fields within messages sent by the IBM 6611 may
        contain non-zero bits.  As with any reserved field, such fields
        should be ignored upon receipt.

o State Table Updates

     - Disconnected State

  Note: The receipt of an XID will cause an ICANREACH message to be sent
        if a data link has not been started for that Data Link ID.  This
        provides support of non-equal Link SAPs for SNA circuits.

     - Circuit Restart State / Restart Pending State

  Note: The Circuit Restart state should be considered a Connection
        Restart state (i.e., UI frames are forwarded within these two
        states as DATAGRAM messages).  For compatibility with the IBM
        6611, DATAFRAME messages may also be received in these states.

-------------------------------------------------------------------------